This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 46884 - Doesn't cope with RH 7.0+Ximian Gnome sensibly
Doesn't cope with RH 7.0+Ximian Gnome sensibly
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Wilson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-01 15:50 EDT by Telsa Gwynne
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-03 15:26:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Telsa Gwynne 2001-07-01 15:50:05 EDT
_Still_ continuing the saga of the text mode (not expert) upgrade of
a Sony Vaio PCG-SR1K from RH7.0+bits+Ximian 1.4...

Reached "Checking package dependencies" without any opportunity
to customise the package selection. It had a think and then told
me:

Package
	Suggestion	Size
something
none
	whatever
		^^^^

I got half a dozen packages which anaconda couldn't suggest
associated dependencies for. They were all from Ximian Gnome
1.4: ammonite, gnome-games, gnucash(I believe there was a guile
issue with these two), and some others.

It gave me three options: install suggested dependencies, ignore
suggested dependencies, or don't upgrade the packages with dodgy
deps.

Did you know that you can pick the first, and it will cheerfully
go off and try to do the upgrade, regardless of the dependency
problems.

I wass dropped straight into the upgrade from this with no
opportunity to add or remove anything.

On completing the upgrade, I had a quick look in /tmp/upgrade.log
and tons and tons of Gnome stuff had not been upgrades:
rpm -qa | grep ximian showed me dozens and dozens of Ximian rpms.
I don't know whether they were epoched, or whether this was an
anaconda error, or what.

In addition, Ximian has a few extra packages such as doorman ("welcome
to Gnome, would you like to register?") which may cause trouble if left
lying about. Not sure what to do about those.
Comment 1 Matt Wilson 2001-07-02 11:35:43 EDT
I have half a mind to simply refuse to upgrade a machine with Ximian GNOME
installed.
Comment 2 Glen Foster 2001-07-13 16:34:50 EDT
No matter who has what kind of mind (or what portions :-) we need to have some
resolution for this.  Ximian with Red Hat is just too appealing to the masses so
we HAVE to have an answer.
Comment 3 Glen Foster 2001-07-13 18:16:13 EDT
This defect considered SHOULD-FIX for Fairfax gold-release.
Comment 4 Michael Fulbright 2001-08-03 15:26:35 EDT
We have to address this - either we technically cannot support upgrading all the
various incarnations of the Ximian GNOME packages, or else we come up with a way
to gut it through the upgrade and then tell them they are on their own to get
GNOME working again.

Comment 5 Matt Wilson 2001-08-06 18:28:05 EDT
I've added a large warning dialog when we find ximian or helixcode or eazel rpms
on the system.

Note You need to log in before you can comment on or make changes to this bug.